Skip to main content
POST
/
api
/
v3
/
secrets
/
tags
/
{secretName}
cURL
curl --request POST \
  --url https://us.infisical.com/api/v3/secrets/tags/{secretName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectSlug": "<string>",
  "environment": "<string>",
  "tagSlugs": [
    "<string>"
  ],
  "secretPath": "/",
  "type": "shared"
}
'
{
  "secret": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "secretKeyCiphertext": "<string>",
    "secretKeyIV": "<string>",
    "secretKeyTag": "<string>",
    "secretValueCiphertext": "<string>",
    "secretValueIV": "<string>",
    "secretValueTag": "<string>",
    "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "slug": "<string>",
        "name": "<string>",
        "color": "<string>"
      }
    ],
    "version": 1,
    "type": "shared",
    "secretCommentCiphertext": "<string>",
    "secretCommentIV": "<string>",
    "secretCommentTag": "<string>",
    "secretReminderNote": "<string>",
    "secretReminderRepeatDays": 123,
    "skipMultilineEncoding": false,
    "algorithm": "aes-256-gcm",
    "keyEncoding": "utf8",
    "metadata": null,
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

secretName
string
required

The name of the secret to attach tags to.

Minimum string length: 1

Body

application/json
projectSlug
string
required

The slug of the project where the secret is located.

environment
string
required

The slug of the environment where the secret is located

tagSlugs
string[]
required

An array of existing tag slugs to attach to the secret.

Minimum array length: 1
secretPath
string
default:/

The path of the secret to attach tags to.

type
enum<string>
default:shared

The type of the secret to attach tags to. (shared/personal)

Available options:
shared,
personal

Response

Default Response

secret
object
required